RESTful interfaces

The following changes have been made in RESTful interfaces.

RESTful Configuration Interface (RCI)

It's now possible to add and update the following settings in System Configurator with the new resource /users/:id/settings:

  • Visible A number

  • Use MTD / Simultaneous Ring Mode

  • Activate Other Number

  • Other Number

  • Terminal for Outbound Calls

  • Show QR code for app setup in Communication Panel or Launchpad

When users are created via RCI, you no longer need to define the password in SC but it's now possible to set a password for CP, Dashboard, and SC users using the request POST /RI/rci/users/:id/password. You can also use this for resetting users' passwords. You need rights to modify users' logon authentication info. For service account users, you can also define expiration time. For this, you need rights to modify authentication policy.

The usersettingstemplates resource has a new setting for showing users timers in their active conversations list: ECFUI_NavigationListTimersEnabled.

POST /rci/users now supports updating a user’s external agent number.

The following settings from System Configurator (User and Role Management > Users > [user] > Contact Settings) have been added as fields to the users resource:

  • Number of Switchboard Queue added as defaultQueue

  • Maximum Number of Waiting Calls added as maxCallsWaiting

GET /cpExtensions can now be used for fetching video assistance extension configurations. The response includes new field type and new array parameters.

GET /RI/rci/users?userGroupId=* returns a list of group IDs the user belongs to.

Reporting groups

Resource GET /RI/rci/users has two new fields:

  • reportingGroupId

  • reportingGroupName

This update is related to Dashboard's Reporting group column.

It's possible to update a user's reporting group with resource PUT /RI/rci/users/:id.

New resources have been added for managing reporting groups:

  • GET /RI/rci/reportingGroups

  • POST /RI/rci/reportingGroups

  • GET /RI/rci/reportingGroups/:id

  • PUT /RI/rci/reportingGroups/:id

  • DELETE /RI/rci/reportingGroups/:id

RESTful Monitoring Interface (RMI)

The resource /queueGroups now supports the following values defined in SC:

  • queueLength

  • falseAttemptTime

GET /rmi/agents now returns a field signOn for showing the agent's last login.

RESTful Contact Management Interface (CMI)

The following now support the reply-to property:

  • GET /cmi/chats/:id

  • GET /cmi/chatMessages

  • GET /cmi/chatMessages/:id

GET /cmi/chats/{id} now supports delivery status for conversational messaging chats: 1=Sent, 2=Delivered, and 3=Read.

The property is for agent messages that customers have quoted in their replies.

Fetching callbacks (GET /RI/cmi/callbacks) was limited to 1000 results. Now there is no limit for the number of results and it's possible to use the limit parameter for the maximum number of returned results (for example, GET /RI/cmi/callbacks?limit=1200). Additionally, support was added for using the cursor parameter to fetch results in pages ordered by id.

Fetching script results (GET /RI/cmi/scriptResults) was limited to 100 results. Now the maximum limit is 1000. Additionally, support was added for using the cursor parameter to fetch results in pages ordered by id.

The following new resources have been added for fetching AI-generated keywords:

  • GET /cmi/keywordCounts

  • GET /cmi/keywordContacts

  • GET /cmi/keywordContacts/ids

The callRecordings resource now returns field type. The value can be either Recording or Transcript.

RESTful Contact Management Interface (CMI) and RESTful Monitoring Interface (RMI)

The /contact resource supports searching and showing internal notes (hasRemarks) and a transcript if the recording has one.

Result count

CMI, RMI, and OBI have been enhanced to support retrieving the total number of conversations, agents, and campaign customers per campaign:

  • GET /RI/cmi/contacts/count

    The maximum number of results returned is 10,000. You can further restrict the result count using the limit query parameter.

  • GET /RI/rmi/agents/count

  • GET /RI/obi/campaigns/:id/customers/count

The timeout for the /count query is 20 seconds.

Query timeout

The general data query time has been changed from 30 seconds to 28 seconds.